/***************************************************************************
    smb4kauthinfo.cpp  -  This class provides a container for the 
    authentication data that is passed and taken by the password reader.
                             -------------------
    begin                : Sa Feb 28 2004
    copyright            : (C) 2004 by Alexander Reinholdt
    email                : dustpuppy@mail.berlios.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qregexp.h>
 
// application specific includes
#include "smb4kauthinfo.h"

Smb4KAuthInfo::Smb4KAuthInfo( const QString &wg, const QString &h, const QString &s, const QString &u, const QString &p ) : m_workgroup(wg), m_host(h), m_share(s), m_user(u), m_password(p)
{
}


Smb4KAuthInfo::Smb4KAuthInfo( const Smb4KAuthInfo &i ) : m_workgroup( i.workgroup() ), m_host( i.host() ), m_share( i.share() ), m_user( i.user() ), m_password( i.plainPassword() )
{
}


Smb4KAuthInfo::~Smb4KAuthInfo()
{
}


void Smb4KAuthInfo::setUser( const QString &user )
{
  m_user = user;
}


void Smb4KAuthInfo::setPassword( const QString &passwd )
{
  m_password = passwd;
}


void Smb4KAuthInfo::setShare( const QString &share )
{
  m_share = share;
}


QString Smb4KAuthInfo::maskedPassword() const
{
  QString p = m_password.stripWhiteSpace();

  p.replace( '\040', "\040" );
  p.replace( '\041', "\041" );
  p.replace( '\042', "\042" );
  p.replace( '\043', "\043" );
  p.replace( '\045', "\045" );
  p.replace( '\046', "\046" );
  p.replace( '\047', "\047" );
  p.replace( '\050', "\050" );
  p.replace( '\051', "\051" );
  p.replace( '\052', "\052" );
  p.replace( '\054', "\054" );
  p.replace( '\074', "\074" );
  p.replace( '\076', "\076" );
  p.replace( '\130', "\130" );
  p.replace( '\131', "\131" );
  p.replace( '\132', "\132" );
  p.replace( '\133', "\133" );
  p.replace( '\134', "\134" );
  p.replace( '\135', "\135" );
  p.replace( '\136', "\136" );
  p.replace( '\137', "\137" );
  p.replace( '\140', "\140" );
  p.replace( '\141', "\141" );
  p.replace( '\142', "\142" );
  p.replace( '\143', "\143" );
  p.replace( '\144', "\144" );
  p.replace( '\145', "\145" );
  p.replace( '\146', "\146" );
  p.replace( '\147', "\147" );
  p.replace( '\150', "\150" );
  p.replace( '\151', "\151" );
  p.replace( '\153', "\153" );
  p.replace( '\154', "\154" );
  p.replace( '\156', "\156" );
  p.replace( '\157', "\157" );
  p.replace( '\160', "\160" );
  p.replace( '\161', "\161" );
  p.replace( '\162', "\162" );
  p.replace( '\163', "\163" );
  p.replace( '\164', "\164" );
  p.replace( '\165', "\165" );
  p.replace( '\173', "\173" );
  p.replace( '\174', "\174" );
  p.replace( '\175', "\175" );
  p.replace( '\176', "\176" );
  
  return p;
}
